Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAO::LocateRequest_Invocation_Adapter Class Reference

Adapter class for locate request invocations. More...

`#include <LocateRequest_Invocation_Adapter.h>`

Collaboration diagram for TAO::LocateRequest_Invocation_Adapter:

[legend]
List of all members.

## Public Methods
| LocateRequest_Invocation_Adapter (CORBA::Object_ptr target)
void | invoke (ACE_ENV_SINGLE_ARG_DECL)
| Start the invocation on the target.
CORBA::PolicyList * | get_inconsistent_policies (void)
| Accessor to the inconsistent policy list.
## Private Methods
bool | get_timeout (ACE_Time_Value &val)
## Private Attributes
CORBA::Object_ptr | target_
CORBA::PolicyList_var | list_

## Detailed Description

Adapter class for locate request invocations.

This class provides a look and feel similar to the TAO::Invocation_Adapter though the functionalities are different. For the record, IDL compiler doesn't know the existence of this class. This class is concerned with the creation and invocation of locate request invocations to the target object

Todo:
  : Need to think what happens if the target is collocated. Looks like there are no ways to utilize the opportunity that may have been presented.

## Constructor & Destructor Documentation

TAO::LocateRequest_Invocation_Adapter::LocateRequest_Invocation_Adapter | ( | CORBA::Object_ptr | target | ) |

## Member Function Documentation

CORBA::PolicyList * TAO::LocateRequest_Invocation_Adapter::get_inconsistent_policies | ( | void |  | ) |

| Accessor to the inconsistent policy list.

bool TAO::LocateRequest_Invocation_Adapter::get_timeout | ( | ACE_Time_Value & | val | ) | `[private]`

void TAO::LocateRequest_Invocation_Adapter::invoke | ( | ACE_ENV_SINGLE_ARG_DECL |  | ) |

| Start the invocation on the target.

## Member Data Documentation

CORBA::PolicyList_var TAO::LocateRequest_Invocation_Adapter::list_`[private]`

CORBA::Object_ptr TAO::LocateRequest_Invocation_Adapter::target_`[private]`

The documentation for this class was generated from the following files:

- LocateRequest_Invocation_Adapter.h
- LocateRequest_Invocation_Adapter.cpp